Package org.drinkless.tdlib

# Class TdApi.InputMessagePaidMedia

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessagePaidMedia

Enclosing class:
  `TdApi`

public static class TdApi.InputMessagePaidMedia extends TdApi.InputMessageContent
A message with paid media; can be used only in channel chats with supergroupFullInfo.hasPaidMediaAllowed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.FormattedText`
  `caption`
  Message caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputPaidMedia[]`
  `paidMedia`
  The content of the paid media.
  `String`
  `payload`
  Bot-provided data for the paid media; bots only.
  `boolean`
  `showCaptionAboveMedia`
  True, if the caption must be shown above the media; otherwise, the caption must be shown below the media; not supported in secret chats.
  `long`
  `starCount`
  The number of Telegram Stars that must be paid to see the media; 1-getOption("paid_media_message_star_count_max").

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessagePaidMedia()`
  A message with paid media; can be used only in channel chats with supergroupFullInfo.hasPaidMediaAllowed.
  `InputMessagePaidMedia(long starCount, TdApi.InputPaidMedia[] paidMedia, TdApi.FormattedText caption, boolean showCaptionAboveMedia, String payload)`
  A message with paid media; can be used only in channel chats with supergroupFullInfo.hasPaidMediaAllowed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### starCount

    public long starCount
    The number of Telegram Stars that must be paid to see the media; 1-getOption("paid_media_message_star_count_max").

  - ### paidMedia

    public TdApi.InputPaidMedia[] paidMedia
    The content of the paid media.

  - ### caption

    public TdApi.FormattedText caption
    Message caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

  - ### showCaptionAboveMedia

    public boolean showCaptionAboveMedia
    True, if the caption must be shown above the media; otherwise, the caption must be shown below the media; not supported in secret chats.

  - ### payload

    public String payload
    Bot-provided data for the paid media; bots only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessagePaidMedia

    public InputMessagePaidMedia()
    A message with paid media; can be used only in channel chats with supergroupFullInfo.hasPaidMediaAllowed.

  - ### InputMessagePaidMedia

    public InputMessagePaidMedia(long starCount, TdApi.InputPaidMedia[] paidMedia, TdApi.FormattedText caption, boolean showCaptionAboveMedia, String payload)
    A message with paid media; can be used only in channel chats with supergroupFullInfo.hasPaidMediaAllowed.
    Parameters:
      `starCount` - The number of Telegram Stars that must be paid to see the media; 1-getOption("paid_media_message_star_count_max").
      `paidMedia` - The content of the paid media.
      `caption` - Message caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
      `showCaptionAboveMedia` - True, if the caption must be shown above the media; otherwise, the caption must be shown below the media; not supported in secret chats.
      `payload` - Bot-provided data for the paid media; bots only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR